This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 112543 - redhat-config-cluster-cmd allows modification of running service
redhat-config-cluster-cmd allows modification of running service
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Jim Parsons
James Laska
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-22 11:49 EST by Lon Hohberger
Modified: 2013-09-02 01:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-17 16:59:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2003-12-22 11:49:35 EST
Description of problem:

Using redhat-config-cluster-cmd to modify a running service quietly
succeeds. 

Version-Release number: 1.0.1-4 (Sushi/RHEL3 U1 Beta)

How reproducible: 100%

Steps to Reproduce:
1. Start a clustered service
2. Modify with redhat-config-cluster-cmd
  
Actual results: Modify succeeds.  At this point, the service may not
function properly.

Expected results: Error returned.  Modifying services known to be
running should *not* succeed, as there is no previous record of
service information.


Additional Info: Hardy noted that the code is there, but isn't
properly being executed.
Comment 1 Hardy Merrill 2003-12-22 13:51:39 EST
Made a mistake earlier - the code is there, and it is working properly.

Here is the output of the 'clustat' command which shows cluster status:

   Cluster Status - Red Hat Clumanager Cluster                       
    13:47:20
Cluster Quorum Incarnation #1
Shared State: Shared Raw Device Driver v1.2

  Member             Status    
  ------------------ ----------
  localhost          Active     <-- You are here
  unicluster4        Inactive             

  Service        Status   Owner (Last)     Last Transition Chk Restarts
  -------------- -------- ---------------- --------------- --- --------
  nfs_svc1       started  localhost        13:21:09 Dec 22  50
0


And here is the output of 'redhat-config-cluster-cmd
--service=nfs_svc1 --checkinterval=120', which is an attempt to change
the service 'checkinterval' to 120:

   Error: Service must be disabled before updates can be made

That output is correct - that redhat-config-cluster-cmd command
failed.  There was NO update made to service nfs_svc1.
Comment 2 Suzanne Hillman 2004-02-17 16:52:43 EST
So... does this bug exist or not? *confused*
Comment 3 Lon Hohberger 2004-02-17 16:59:09 EST
No.

Note You need to log in before you can comment on or make changes to this bug.